Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in net-snmp
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in net-snmp
ID: SUSE-SU-2022:4205-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15-SP3, SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3, SUSE Linux Enterprise Module for Basesystem 15-SP4, SUSE Manager Server 4.2, SUSE Linux Enterprise High Performance Computing 15-SP3, SUSE Manager Proxy 4.2, SUSE Linux Enterprise Server 15-SP3, SUSE Linux Enterprise Server for SAP Applications 15-SP3, SUSE Linux Enterprise Desktop 15-SP3, SUSE Linux Enterprise Server for SAP Applications 15-SP4, SUSE Linux Enterprise High Performance Computing 15-SP4, SUSE Linux Enterprise Server 15-SP4, SUSE Linux Enterprise Desktop 15-SP4, SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4, SUSE Manager Retail Branch Server 4.2, SUSE openSUSE Leap 15.3, SUSE openSUSE Leap 15.4, SUSE Manager Proxy 4.3, SUSE Enterprise Storage 7.1, SUSE Manager Server 4.3, SUSE Manager Retail Branch Server 4.3, SUSE openSUSE Leap 15.5
Datum: Mi, 23. November 2022, 23:30
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24806
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24807
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24805
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24810
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24809
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24808
Applikationen: Net-SNMP

Originalnachricht


SUSE Security Update: Security update for net-snmp
______________________________________________________________________________

Announcement ID: SUSE-SU-2022:4205-1
Rating: moderate
References: #1201103 SLE-11203
Cross-References: CVE-2022-24805 CVE-2022-24806 CVE-2022-24807
CVE-2022-24808 CVE-2022-24809 CVE-2022-24810

Affected Products:
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15-SP3
SUSE Linux Enterprise Desktop 15-SP4
SUSE Linux Enterprise High Performance Computing 15-SP3
SUSE Linux Enterprise High Performance Computing 15-SP4
SUSE Linux Enterprise Module for Basesystem 15-SP3
SUSE Linux Enterprise Module for Basesystem 15-SP4
SUSE Linux Enterprise Module for Packagehub Subpackages
15-SP3
SUSE Linux Enterprise Module for Packagehub Subpackages
15-SP4
SUSE Linux Enterprise Server 15-SP3
SUSE Linux Enterprise Server 15-SP4
SUSE Linux Enterprise Server for SAP Applications 15-SP3
SUSE Linux Enterprise Server for SAP Applications 15-SP4
SUSE Manager Proxy 4.2
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.2
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.2
SUSE Manager Server 4.3
openSUSE Leap 15.3
openSUSE Leap 15.4
openSUSE Leap 15.5
______________________________________________________________________________

An update that fixes 6 vulnerabilities, contains one
feature is now available.

Description:

This update for net-snmp fixes the following issues:

Updated to version 5.9.3 (bsc#1201103, jsc#SLE-11203):

- CVE-2022-24805: Fixed a buffer overflow in the handling of the INDEX
of NET-SNMP-VACM-MIB that can cause an out-of-bounds memory access.
- CVE-2022-24809: Fixed a malformed OID in a GET-NEXT to the
nsVacmAccessTable that can cause a NULL pointer dereference.
- CVE-2022-24806: Fixed an improper Input Validation when SETing
malformed OIDs in master agent and subagent simultaneously.
- CVE-2022-24807: Fixed a malformed OID in a SET request to
SNMP-VIEW-BASED-ACM-MIB::vacmAccessTable can cause an out-of-bounds
memory access.
- CVE-2022-24808: Fixed a malformed OID in a SET request to
NET-SNMP-AGENT-MIB::nsLogTable can cause a NULL pointer dereference.
- CVE-2022-24810: Fixed a malformed OID in a SET to the
nsVacmAccessTable can cause a NULL pointer dereference.


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.5:

zypper in -t patch openSUSE-SLE-15.5-2022-4205=1

- openSUSE Leap 15.4:

zypper in -t patch openSUSE-SLE-15.4-2022-4205=1

- openSUSE Leap 15.3:

zypper in -t patch openSUSE-SLE-15.3-2022-4205=1

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4:

zypper in -t patch
SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-4205=1

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3:

zypper in -t patch
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-4205=1

- SUSE Linux Enterprise Module for Basesystem 15-SP4:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-4205=1

- SUSE Linux Enterprise Module for Basesystem 15-SP3:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-4205=1



Package List:

- openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64):

net-snmp-5.9.3-150300.15.3.1
net-snmp-debuginfo-5.9.3-150300.15.3.1
net-snmp-debugsource-5.9.3-150300.15.3.1
net-snmp-devel-5.9.3-150300.15.3.1
perl-SNMP-5.9.3-150300.15.3.1
perl-SNMP-debuginfo-5.9.3-150300.15.3.1
python3-net-snmp-5.9.3-150300.15.3.1
python3-net-snmp-debuginfo-5.9.3-150300.15.3.1
snmp-mibs-5.9.3-150300.15.3.1

- openSUSE Leap 15.5 (x86_64):

net-snmp-devel-32bit-5.9.3-150300.15.3.1

- openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

libsnmp40-5.9.3-150300.15.3.1
libsnmp40-debuginfo-5.9.3-150300.15.3.1
net-snmp-5.9.3-150300.15.3.1
net-snmp-debuginfo-5.9.3-150300.15.3.1
net-snmp-debugsource-5.9.3-150300.15.3.1
net-snmp-devel-5.9.3-150300.15.3.1
perl-SNMP-5.9.3-150300.15.3.1
perl-SNMP-debuginfo-5.9.3-150300.15.3.1
python3-net-snmp-5.9.3-150300.15.3.1
python3-net-snmp-debuginfo-5.9.3-150300.15.3.1
snmp-mibs-5.9.3-150300.15.3.1

- openSUSE Leap 15.4 (x86_64):

libsnmp40-32bit-5.9.3-150300.15.3.1
libsnmp40-32bit-debuginfo-5.9.3-150300.15.3.1
net-snmp-devel-32bit-5.9.3-150300.15.3.1

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

libsnmp40-5.9.3-150300.15.3.1
libsnmp40-debuginfo-5.9.3-150300.15.3.1
net-snmp-5.9.3-150300.15.3.1
net-snmp-debuginfo-5.9.3-150300.15.3.1
net-snmp-debugsource-5.9.3-150300.15.3.1
net-snmp-devel-5.9.3-150300.15.3.1
perl-SNMP-5.9.3-150300.15.3.1
perl-SNMP-debuginfo-5.9.3-150300.15.3.1
python2-net-snmp-5.9.3-150300.15.3.1
python2-net-snmp-debuginfo-5.9.3-150300.15.3.1
python3-net-snmp-5.9.3-150300.15.3.1
python3-net-snmp-debuginfo-5.9.3-150300.15.3.1
snmp-mibs-5.9.3-150300.15.3.1

- openSUSE Leap 15.3 (x86_64):

libsnmp40-32bit-5.9.3-150300.15.3.1
libsnmp40-32bit-debuginfo-5.9.3-150300.15.3.1
net-snmp-devel-32bit-5.9.3-150300.15.3.1

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (x86_64):

net-snmp-debugsource-5.9.3-150300.15.3.1

- SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (x86_64):

libsnmp40-32bit-5.9.3-150300.15.3.1
libsnmp40-32bit-debuginfo-5.9.3-150300.15.3.1
net-snmp-debugsource-5.9.3-150300.15.3.1

- SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x
x86_64):

libsnmp40-5.9.3-150300.15.3.1
libsnmp40-debuginfo-5.9.3-150300.15.3.1
net-snmp-5.9.3-150300.15.3.1
net-snmp-debuginfo-5.9.3-150300.15.3.1
net-snmp-debugsource-5.9.3-150300.15.3.1
net-snmp-devel-5.9.3-150300.15.3.1
perl-SNMP-5.9.3-150300.15.3.1
perl-SNMP-debuginfo-5.9.3-150300.15.3.1
snmp-mibs-5.9.3-150300.15.3.1

- SUSE Linux Enterprise Module for Basesystem 15-SP3 (aarch64 ppc64le s390x
x86_64):

libsnmp40-5.9.3-150300.15.3.1
libsnmp40-debuginfo-5.9.3-150300.15.3.1
net-snmp-5.9.3-150300.15.3.1
net-snmp-debuginfo-5.9.3-150300.15.3.1
net-snmp-debugsource-5.9.3-150300.15.3.1
net-snmp-devel-5.9.3-150300.15.3.1
perl-SNMP-5.9.3-150300.15.3.1
perl-SNMP-debuginfo-5.9.3-150300.15.3.1
snmp-mibs-5.9.3-150300.15.3.1


References:

https://www.suse.com/security/cve/CVE-2022-24805.html
https://www.suse.com/security/cve/CVE-2022-24806.html
https://www.suse.com/security/cve/CVE-2022-24807.html
https://www.suse.com/security/cve/CVE-2022-24808.html
https://www.suse.com/security/cve/CVE-2022-24809.html
https://www.suse.com/security/cve/CVE-2022-24810.html
https://bugzilla.suse.com/1201103
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung